Create Tool

View as Markdown
Create a custom callable capability that agents can use through toolsets. A tool defines the name, description, input and output schemas, and execution method the agent can rely on.

Authentication

AuthorizationBearer

Use Bearer <api-key>.

Path parameters

idstringRequired

Request

This endpoint expects an object.
executionobjectRequired
inputSchemamap from strings to anyRequired
namestringRequiredformat: "^[a-z_][a-z0-9_-]*$"1-64 characters
outputSchemamap from strings to anyRequired
descriptionstring or nullOptional<=2000 characters
enabledbooleanOptional
metadatamap from strings to any or nullOptional

Response

Default Response
createdAtstring
descriptionstring or null<=2000 characters
enabledboolean
executionobject
idstringformat: "uuid"
inputSchemamap from strings to any
namestringformat: "^[a-z_][a-z0-9_-]*$"1-64 characters
outputSchemamap from strings to any
spaceIdstringformat: "uuid"
updatedAtstring
metadatamap from strings to any or null